Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics
Class NormalProbabilityDistribution

    java.lang.Object
      org.statcato.statistics.ProbabilityDistribution
          org.statcato.statistics.NormalProbabilityDistribution

    public class NormalProbabilityDistribution

extends ProbabilityDistribution

Normal probability distribution class.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`NormalProbabilityDistribution(double mu, double sigma)` Constructor a normal probability distribution given the mean and standard deviation.

Method Summary
`double` | `cumulativeProbability(double x)` Returns the cumulative probabililty up to x.
`double` | `density(double x)` Returns the density of the distribution at x.
`double` | `inverseCumulativeProbability(double area)` Returns the inverse cumulative probability.

Methods inherited from class org.statcato.statistics.ProbabilityDistribution
`inverseCumulativeProbability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalProbabilityDistribution

    public NormalProbabilityDistribution(double mu,
                                         double sigma)

  Constructor a normal probability distribution given the mean and standard deviation.

  Parameters:
    `mu` - mean
    `sigma` - standard deviation

Method Detail

### density

    public double density(double x)

  Returns the density of the distribution at x.

  Specified by:
    `density` in class `ProbabilityDistribution`
  Parameters:
    `x` -
  Returns:
    probability density at x

### cumulativeProbability

    public double cumulativeProbability(double x)

  Returns the cumulative probabililty up to x.

  Specified by:
    `cumulativeProbability` in class `ProbabilityDistribution`
  Parameters:
    `x` -
  Returns:
    cumulative probability P(<=x)

### inverseCumulativeProbability

    public double inverseCumulativeProbability(double area)

  Returns the inverse cumulative probability.

  Parameters:
    `area` - cumulative probability
  Returns:
    inverse cumulative probability

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD